Polyline in Geom_Curve

Hello all,

I'm looking for a Geom_Curve that would be good for storing a list of points and representing a list of straight lines. I was hoping to find a Geom_Polyline but had no luck.

Any pointers?
Thanks.
Ian

Ian Clévy's picture

Am I supposed to just use TopoDS_Wire?

Laszlo Kudela's picture

Hello Ian,

TopoDS_Wire contains a set of TopoDS_Edges. TopoDS_Edges are topological entites, that can be created from Geom_Curves by for example calling BRepBuilderAPI_MakeEdge.

To create a wire from a set of TopoDS_Edges, you can use BrepBuilderAPI_MakeWire.

To explore a TopoDS_Wire, use BrepTools_WireExplorer. This tool lets you access the edges of the wire in the order of connection. If the order of connection is irrelevant, you can also use TopExp_Explorer.

Ian Clévy's picture

Thanks :)